import os
import subprocess

def run_command(command):
    try:
        subprocess.run(command, check=True, shell=True)
        print(f"命令执行成功: {command}")
    except subprocess.CalledProcessError as e:
        print(f"命令执行失败: {command}")
        print(f"错误信息: {e}")

def install_colorama():
    print("正在安装 colorama...")
    run_command("pip install colorama")

def uninstall_colorama():
    print("正在卸载 colorama...")
    run_command("pip uninstall colorama -y")

def main():
    print("开始操作...")
    uninstall_colorama()
    install_colorama()
    print("操作完成！")

if __name__ == "__main__":
    main()
